# Tutoriels

🆕 Veuillez consulter [Ressources](./resources.md) pour une liste à jour des diverses ressources XState collectées sur le Web !

## Articles

- [XState - a TypeScript state machine with a lot of features](http://realfiction.net/2019/01/30/xstate-a-typescript-state-machine-with-a-lot-of-features) par Frank Quednau
- Un aperçu de la création de machines d'état avec XState et TypeScript
  - Incluant un [exemple React complet](https://github.com/flq/test-of-xstate)
- [Creating a Complex IVR System with Ease with XState](https://www.nexmo.com/blog/2019/06/20/creating-a-complex-ivr-system-with-ease-with-xstate/) par Yonatan Mevorach
  - Tutoriel sur la création d'un système IVR (réponse vocale interactive) avec XState, Express et Nexmo
- [My love letter to XState and statecharts ♥](https://dev.to/timdeschryver/my-love-letter-to-xstate-and-statecharts-287b) par [Tim Deschryver](https://dev.to/timdeschryver)
  - Aperçu des avantages et de l'expérience du développement avec XState
  - Incluant un projet de démo[`xstate-table`](https://github.com/timdeschryver/xstate-table) en utilisant exactement la même machine XState dans les langages suivants :
    - [Angular](https://stackblitz.com/edit/xstate-angular-table)
    - [React](https://codesandbox.io/s/1dtmk)
    - [Svelte](https://codesandbox.io/s/yb6lq)
    - [Vue](https://codesandbox.io/s/707t4)
- [Finite State Machines in React JS using XState](https://www.skcript.com/svr/finite-state-machines-in-react-js-using-xstate/) par [Sooraj Nair](https://www.linkedin.com/in/sooraj-nair-a81543172/)
  - Explication de ce que sont les machines à états finis, ainsi qu'un tutoriel sur la construction d'un flux d'authentification simple avec React (composants de classe)
  - Avec des captures d'écran pour générer des visualisations de machine
- [Vuex + XState](https://medium.com/@brockreece/vuex-xstate-4f9ea23bb24e) by [Brock Reece](https://medium.com/@brockreece)
  - Un bel et court article sur l'utilisation de XState avec Vuex
  - N'utilise pas [services](../guides/interpretation.md), mais utilise un simple `Machine(...)`.
  - Voir [les recettes Vue.js](../recipes/vue.md) pour plus d'informations sur l'intégration de XState avec Vue
- [Getting Started with XState](https://www.vietnguyen.site/getting-started-with-xstate/) par [Viet Nguyen](https://www.vietnguyen.site)
  - Un exemple d'utilisation de XState avec NextJS
- [Chatbot PureUI avec Xstate + React](https://dev.to/cris_o/pure-ui-using-xstate-and-reactjs-5em7)
  - construire un chatbot en utilisant XState et reactjs

## Vidéos

- [▶ Introduction to XState](https://www.youtube.com/watch?v=73Ch_EL4YVc) by Jon Bellah
- [▶ Introduction to State Machines Using XState](https://egghead.io/courses/introduction-to-state-machines-using-xstate) by Kyle Shevlin
- [▶ Let's learn state machines with David K. Piano - Learn With Jason](https://www.youtube.com/watch?v=czi24DqUfSA) avec Jason Lengstorf
- [▶ State Machines (playlist)](https://www.youtube.com/watch?v=iDZxjJYMOUQ&list=PL8fumNHsC-3MFSqjrn603qkkK6KY3PBDZ) par Leigh Halliday
  1. [▶ XState - An Introduction - Finite State Machines in React](https://www.youtube.com/watch?v=iDZxjJYMOUQ&list=PL8fumNHsC-3MFSqjrn603qkkK6KY3PBDZ&index=1)
  2. [▶ XState - Data Loading Service - Finite State Machines in React](https://www.youtube.com/watch?v=XaHk9vhmus4&list=PL8fumNHsC-3MFSqjrn603qkkK6KY3PBDZ&index=2)
  3. [▶ XState - Video Player & Nested States - Finite State Machines in React](https://www.youtube.com/watch?v=d8V5vcZOQe4&list=PL8fumNHsC-3MFSqjrn603qkkK6KY3PBDZ&index=3)
- [▶ Managing Complex UI with XState](https://www.youtube.com/watch?v=i0rhP7TTQBg) par Xavier Lozinguez à React NYC
  - [Demo (CodeSandbox)](https://codesandbox.io/s/k06kloqzyo)
- [▶ Drawing Apps with XState V4](https://www.youtube.com/watch?v=jw03YmNffks) par Shawn McKay au meetup ReactJS Vancouver
- [▶ Standing on the Shoulders of Giants. Development With XState](https://www.youtube.com/watch?v=GuzcWkVrqLg) par Brad Woods
- [▶ Using Finite State Machines To Develop Your React App](https://www.youtube.com/watch?v=p_md9SZEKV8) par Lucas Reis au React NYC
- [▶ Quick Introduction to XState](https://www.youtube.com/watch?v=QUPEDXp4ljs) par Bhargav Ponnapalli
- [▶ How XState Helps You Think](https://www.youtube.com/watch?v=JfU3uPU7Q9Q) par Swizec Teller
- [▶ Improving State Representation by using XState in React](https://www.youtube.com/watch?v=hG3UHNCUdzQ) par Jon Condon
- [▶ MobX with XState](https://www.youtube.com/watch?v=Va_d5JmDHnA) par Daria Whitecastle à la Conférence React Denver
- [▶ Rambling Thoughts on React and Finite State Machines](https://www.youtube.com/watch?v=WbhpQXH7XMw) par Ryan Florence
- [▶ Intro to State Machines in JavaScript - Part 1](https://www.youtube.com/watch?v=HBJ-8YEw39E) par David Lopez
  - [▶ Part 2](https://www.youtube.com/watch?v=dB1tGv2WGBI)
- [▶ State Machines Meet React Hooks](https://www.youtube.com/watch?v=ioh7aqrBcs0) par Zain Fathoni au JSConf.Asia 2019
